Subject: [CDNi] CDN-Interconnection scenario.

From: zhouzhipeng 54906 <[email-masked]>
Date: Tue, 15 Mar 2011 14:09:37 +0800

WARNING: contains banned part

Subject: CDN-Interconnection scenario.
From: zhouzhipeng 54906 <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Tue, 15 Mar 2011 14:09:37 +0800

Hello experts of IETF Bof, ETSI MCD & TISPAN,
In yesterday MCD-TISPAN joint meeting, we had taken a long and interesting discussion on the CDN Interconnection contributions.
As for my several contributions I have received quite lots of valuable opinions.
I will take revisions in these days and I also like to collect more from the IETF Bof guys(I have attached the documents in this email) and of course also from our ETSI expertise.
Although these documents look not very "pure" for requirement and potentially have given some suggested technical solutions, I feel it may be better for us take a deeper look and discussion for these use cases since we all care about how to implement it, right:)&#61514;
While in the revision, I will only input requirement content.
 
Firstly I would like feedback some thought on three questions I received yesterday:
1) About the ROUTING
Since the content delivery would transfer multiple CDNs, we have discussed whether to allow the CP to select a complete delivery route or just let the interim CDN making decision on the next stop downstream CDN.
I have explained that in the real business, the CP may only need to contact limited CDNs for the service hence CP may be able to give a decision at one time for the complete transport route and then assign the downstream CDN taking that job.
In this way, the control would be rather simple.
Another, it may be possible that an Interim CDN may select his preferred Downstream CDN.
As Julien commented yesterday, then such control may bring some complexity along with the freedom for the interim CDN.
I personally prefer CP make a decision meanwhile the interim may have some adjustment when necessary.
Remi had raised his opinion that Interim CDN may/should freely select its downstream CDN.
Maybe more people like share their opinions. It looks like a very key point for the implementation.

2) PUSH/PULL
For PUSH and PULL, I feel they may be understood in different layers: On the service layer or transport layer.
In the figures, I focus on the service layer (since the section title is about service).
PUSH service means one consumer may subscribe period service(e.g. per day video service) and the CP then automatic deliver (PUSH) the subscribed service to the consumer on time.
PULL service means the consumer will subscribe per specific content (e.g. a movie).
While on the transport layer, i understand that it is the CP or upsteam CDN to trigger the content delivery (since UE only trigger CP to fulfill the service delivery and then CP trigger its downstream CDN for the delivery and following one by one  the content is "PUSHed " towards the UE).
PUSH or PULL are two popular words hence not too much specific, maybe we need to use other words.  Your suggestion will be welcome.
 
3) content relay
It is really interesting that how the CDN interconnection scenario looks similar to the mail service.
Since one service provider may not cover all cities, it is apparent that one solution is to cooperate another service provider rather than expend its own scale.
For example, one USA express SP may not cover all chinese cities, so for the express towards CHINA, it may relay to a Chinese express SP.
While in the chinese domestic service, that proxy chinese SP may also need cooperate with some other SPs( e.g. local SP) to cover enough cities.
That implementation chain is the panoramic scenario which raises the requirement for CDN interconnection.
SMTP is for the interface between two email servers, similarly, the CDN interconnection to be defined is the interface between two CDN servers.
The point is whether we need to give a transport format for CDN application resembling the email format.

Above are the three major issues I remember for yesterday discussion. Plz inform me your concern if I missed anything.
Totally, we currently are to master the complete use cases and requirements for the CDN interconnection. As more as possible ideas are much appreciated, and expected indeed.

Thanks.
Zhipeng

******************************************************************************************
 This email and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained here in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this email in error, please notify the sender by phone or email
 immediately and delete it!
 *****************************************************************************************